Bug 478215 - Penrose Server can't turn on when an invalid XML character is detected
Penrose Server can't turn on when an invalid XML character is detected
Status: NEW
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:09 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:09:23 EST
[07/17/2007 11:59:02] Character reference "&#0" is an invalid XML character.
org.xml.sax.SAXParseException: Character reference "&#0" is an invalid XML character.
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.commons.digester.Digester.parse(Digester.java:1532)
        at org.safehaus.penrose.partition.PartitionReader.loadMappingConfig(PartitionReader.java:116)
        at org.safehaus.penrose.partition.PartitionReader.loadMappingConfig(PartitionReader.java:94)
        at org.safehaus.penrose.partition.PartitionReader.read(PartitionReader.java:73)
        at org.safehaus.penrose.partition.PartitionReader.read(PartitionReader.java:66)
        at org.safehaus.penrose.partition.PartitionManager.load(PartitionManager.java:57)
        at org.safehaus.penrose.naming.PenroseContext.load(PenroseContext.java:190)
        at org.safehaus.penrose.naming.PenroseContext.load(PenroseContext.java:168)
        at org.safehaus.penrose.Penrose.load(Penrose.java:168)
        at org.safehaus.penrose.Penrose.<init>(Penrose.java:90)
        at org.safehaus.penrose.PenroseFactory.createPenrose(PenroseFactory.java:63)
        at org.safehaus.penrose.server.PenroseServer.init(PenroseServer.java:70)
        at org.safehaus.penrose.server.PenroseServer.<init>(PenroseServer.java:52)
        at org.safehaus.penrose.server.PenroseServer.main(PenroseServer.java:245)
[07/17/2007 11:59:02] Server failed to start: SAXParseException: Character reference "&#0" is an invalid XML character.
Additional Comments From jimyang dated Tue Jul 17 14:08:28 CDT 2007 
This is as a result of an LDAP Snapshot Wizard performed on an Active Directory that has a binary object. Penrose need to encode the binary object before storing it to XML.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {}
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-244',
          'assignee' => 'jimyang',
          'summary' => 'Penrose Server can't turn on when an invalid XML character is detected',
          'id' => '10766',
          'updated' => '2007-07-17 14:08:28.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-02 00:00:00.0',
                                 'sequence' => '25',
                                 'name' => ' Penrose-1.2.3',
                                 'released' => 'true',
                                 'id' => '10122',
                                 'archived' => 'false'
                               }
                             ],
          'description' => '[07/17/2007 11:59:02] Character reference "&#0" is an invalid XML character.
org.xml.sax.SAXParseException: Character reference "&#0" is an invalid XML character.
        at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
        at org.apache.commons.digester.Digester.parse(Digester.java:1532)
        at org.safehaus.penrose.partition.PartitionReader.loadMappingConfig(PartitionReader.java:116)
        at org.safehaus.penrose.partition.PartitionReader.loadMappingConfig(PartitionReader.java:94)
        at org.safehaus.penrose.partition.PartitionReader.read(PartitionReader.java:73)
        at org.safehaus.penrose.partition.PartitionReader.read(PartitionReader.java:66)
        at org.safehaus.penrose.partition.PartitionManager.load(PartitionManager.java:57)
        at org.safehaus.penrose.naming.PenroseContext.load(PenroseContext.java:190)
        at org.safehaus.penrose.naming.PenroseContext.load(PenroseContext.java:168)
        at org.safehaus.penrose.Penrose.load(Penrose.java:168)
        at org.safehaus.penrose.Penrose.<init>(Penrose.java:90)
        at org.safehaus.penrose.PenroseFactory.createPenrose(PenroseFactory.java:63)
        at org.safehaus.penrose.server.PenroseServer.init(PenroseServer.java:70)
        at org.safehaus.penrose.server.PenroseServer.<init>(PenroseServer.java:52)
        at org.safehaus.penrose.server.PenroseServer.main(PenroseServer.java:245)
[07/17/2007 11:59:02] Server failed to start: SAXParseException: Character reference "&#0" is an invalid XML character.',
          'created' => '2007-07-17 12:03:53.0',
          'type' => '1'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.